# Private Docker Registry

To pull images from private Docker registries simply add imagePullSecrets to the podTemplateSpecs for your SeldonDeployment resources. For example, shown below is a simple model which uses a private image `private-docker-repo/my-image`. You will need to have created the Kubernetes docker registry secret `myreposecret` before applying the resource to your cluster.

```json
{
  "apiVersion": "machinelearning.seldon.io/v1alpha2",
  "kind": "SeldonDeployment",
  "metadata": {
    "name": "private-model"
  },
  "spec": {
    "name": "private-model-example",
    "predictors": [
      {
        "componentSpecs": [{
          "spec": {
            "containers": [
              {
                "image": "private-docker-repo/my-image",
                "name": "private-model"
              }
            ],
        "imagePullSecrets": [
              {
                "name": "myreposecret"
              }
            ]
          }
        }],
        "graph": {
          "children": [],
          "endpoint": {
            "type": "REST"
          },
          "name": "private-model",
          "type": "MODEL"
        },
        "name": "private-model",
        "replicas": "1"
      }
    ]
  }
}
```

To create the docker registry secret see the [Kubernetes docs](https://kubernetes.io/docs/concepts/containers/images/#creating-a-secret-with-a-docker-config).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-1/reference/private_registries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
